#ifndef _FIGURE_H
#define _FIGURE_H

#include "Position.h"
#include <utility>

using namespace std;

class Figure
{
    protected:
    Position position;

    public:

    // Получить возможные движения фигуры на доске
    // вернёт moves_count - количество возможных ходов
    // и список из char[2] - сами ходы (вида A5, B3 и т.п.)
    virtual std::pair<int, Position*> get_moves() = 0;
};

#endif