#include "Position.h"
#include "Figure.h"
#include "Pawn.h"
#include "Horse.h"
#include "Bishop.h"
#include "Rook.h"
#include <iostream>
#include <vector>

using namespace std;

int main() {
    Figure** figures = new Figure*[4];
    Pawn p(Position('A', '1'));
    figures[0] = &p;
    Horse h(Position('B', '1'));
    figures[1] = &h;
    Bishop b(Position('C', '1'));
    figures[2] = &b;
    Rook r(Position('D', '1'));
    figures[3] = &r;
    for (int i = 0; i < 4; i++) {
        int movesCount = (figures[i])->get_moves().first;
        Position* moves = (figures[i])->get_moves().second;
        cout << movesCount << ' ';
        for(int j = 0; j < movesCount; j++) {
            cout << moves[j] << ';';
        }
        cout << endl;
    }
    return 0;
}